(function(){
    angular.module('app', [
        'ngRoute'
    ])
    .config(function ($routeProvider) {
        $routeProvider
            .when('/login', {
                templateUrl: 'login/login.html',
                controller: 'Login',
                controllerAs: 'vm'
            })
            .when('/home', {
                templateUrl: 'home/home.html',
                controller: 'Home',
                controllerAs: 'vm'
            })
            .otherwise({
                redirectTo: '/home'
            });

    });
})();