(function () {
    angular.module('app')
        .directive('notificationsPolling', notificationsPolling);

    function notificationsPolling($interval, NotificationsManager) {
        return {
            restrict: 'A',
            scope: false,
            link: function (scope, elem, attrs) {
                var poll = $interval(function () {
                    NotificationsManager.fetchNotifications();
                }, 30000);
                scope.stopPolling = function() {
                    $interval.cancel(poll);
                };
            }
        };
    }

})();