﻿(function () {

  angular.module('app')
  .directive('favoriteSelector', ['LocalStorageManager', function (LocalStorageManager) {
    return {
      restrict: 'A',
      template: '<button type="button" ng-click="add();">Add Favorite</button>',
      link: function (scope, element, attrs) {
        scope.add = function () {
          var favorites = LocalStorageManager.Get('favoriteArtists') || [];
          var found = favorites.indexOf(attrs.artist);
          if (found === -1) {
            favorites.push(attrs.artist);
            LocalStorageManager.Set('favoriteArtists', favorites);
          }
          scope.getFavorites();
        }
      }
    };
  }]);

})();