function asyncCheers(group) {
    var deferred = $q.defer();
    setTimeout(function () {
        deferred.notify('Contemplating a Cheers!');
        if (vibeIsRight(group)) {
            deferred.resolve('Give a funny toast!');
        }
        else {
            deferred.reject("The group doesn't seem ready for a toast yet!");
        }
    }, 1000);

    return deferred.promise;
}

var promise = asyncCheers({spirit: 'high', drunk: true});

promise.then(function (response) {
    alert('Success' + response);
}, function (reason) {
    alert('Failed: ' + reason);
}, function (notification) {
    alert('Notification received: ' + notification);
});
