(function(){
    angular.module('app', [
        'ngRoute'
    ])
    .config(function ($routeProvider) {
        $routeProvider
            .when('/login', {
                templateUrl: 'login/login.html',
                controller: 'Login',
                controllerAs: 'vm'
            })
            .when('/home/:productId', {
                templateUrl: 'home/home.html',
                controller: 'Home',
                controllerAs: 'vm'
            })
            .otherwise({
                redirectTo: '/home'
            });

    });
})();

//home.js
(function(){
    angular.module('app')
        .controller('Home', Home);

    Home.$inject = ['$routeParams'];
    function Home($routeParams){
        var vm = this;
        var selectedProduct = $routeParams.productId;
    }
})();