(function () {
    angular.module('app')
        .directive('notificationsPolling', notificationsPolling);

    function notificationsPolling($interval, NotificationsManager) {
        return {
            restrict: 'A',
            scope: {},
            link: function (scope, elem, attrs) {
                var poll = $interval(function () {
                    NotificationsManager.fetchNotifications();
                }, 1000);
                scope.$watch(function () {
                    return NotificationsManager.isStopped;
                }, function (isStopped) {
                    if(isStopped) {
                        $interval.cancel(poll);
                        console.log('stopped');
                    }
                });
            }
        };
    }
})();