describe('myApp.EvenOrOdd module', function() {
 beforeEach(module('myApp.EvenOdd'));
 describe('EvenOddController controller', function(){
   it('should be defined', inject(function($controller) {
     //spec body
     var vm = $controller('EvenOddController');
     expect(vm).toBeDefined();
    }));
  });
 describe('EvenOddController vm.evaluate', function(){
    it('should set result to even when number is divisible by 2',
    inject(function($controller) {
      //spec body
      var vm = $controller('EvenOddController');
      vm.evenOrOdd(4);
      expect(vm.result).toEqual('Even');
    }));
  it('should set result to odd when number is not divisible by 2',
    inject(function($controller) {
        //spec body
        var vm = $controller('EvenOddController');
        vm.evenOrOdd(7);
        expect(vm.result).toEqual('Odd');
    }));
  it('should set result to please enter a number when vm.number is not a number',
    inject(function($controller) {
      //spec body
      var vm = $controller('EvenOddController');
      vm.evenOrOdd('This is not a number');
      expect(vm.result).toEqual('Please Enter a Number');
    }));
  });
});