﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Ch20.Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Artist Management</title>
</head>
<body>
    <form id="form1" runat="server">
        <section>
            <asp:Label runat="server" ID="lblError" ForeColor="Red" />
        </section>
        <br />
        <section>
            <asp:Repeater ID="rptArtists" runat="server">
                <HeaderTemplate>
                    <table border="1">
                        <tr>
                            <th>Artist</th>
                            <th>Rating</th>
                        </tr>
                </HeaderTemplate>
                <ItemTemplate>
                    <tr style="background-color: palegoldenrod">
                        <td><%#Eval("Name") %></td>
                        <td><%#Eval("Rating") %></td>
                    </tr>
                </ItemTemplate>
                <AlternatingItemTemplate>
                    <tr style="background-color: white">
                        <td><%#Eval("Name") %></td>
                        <td><%#Eval("Rating") %></td>
                    </tr>
                </AlternatingItemTemplate>
                <FooterTemplate>
                    </table>
                </FooterTemplate>
            </asp:Repeater>
        </section>
        <br />
        <section>
            Artist Name: <asp:TextBox runat="server" ID="txtName" />
            <br />
            Rating: <asp:TextBox runat="server" ID="txtRating" />
            <br />
            <asp:Button runat="server"
                Text="Add Artist"
                ID="btnAdd"
                OnClick="btnAdd_Click" />
        </section>
    </form>
</body>
</html>
