﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DefaultAngular.aspx.cs" Inherits="Ch20.DefaultAngular" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Artist Management</title>
    <script src="https://code.angularjs.org/1.3.15/angular.js"></script>
    <script src="Scripts/app.js"></script>
    <script src="Scripts/artists.service.js"></script>
    <script src="Scripts/artists.js"></script>
    <style>
        .error { color:red; }
        .odd { background-color:palegoldenrod; }
        .even { background-color:white; }
    </style>
</head>
<body ng-app="app">
    <div ng-controller="ArtistsController as vm">
        <section>
            <div class="error">{{vm.error}}</div>
        </section>
        <br />
        <section>
            <table border="1">
                <tr>
                    <th>Artist</th>
                    <th>Rating</th>
                </tr>
                <tr ng-repeat="artist in vm.artists" ng-class-odd="'odd'" ng-class-even="'even'">
                    <td>{{artist.Name}}</td>
                    <td>{{artist.Rating}}</td>
                </tr>
            </table>
        </section>
        <br />
        <section>
            Artist Name: <input type="text" id="txtName" ng-model="vm.newArtistName" />
            <br />
            Rating: <input type="text" id="txtRating" ng-model="vm.newArtistRating" />
            <br />
            <button ng-click="vm.add()">Add Artist</button>
        </section>
    </div>
</body>
</html>
